не удалось установить библиотеку libusb

Я пытаюсь установить стороннюю библиотеку, которая имеет зависимость от библиотеки libusb-1.0-0dev. У малины pi есть настройка NOOBS, которую я считаю libusb предварительно установлен в нем. Чтобы перепроверить версию библиотеки, я выполнил команду.

$ ldconfig -p | grep libusb 

Он возвращает строку, в которой отображается версия libusb-1.0-0 (а не версия dev). Поскольку мне нужна версия libusb-1.0-0-dev, поэтому я попытался установить версию dev с помощью этой команды

$ sudo apt-get install libusb-1.0-0-dev

Он возвратил ошибку,

[email protected] ~/libphidget-2.1.8.20150410 $ sudo apt-get install libusb-1.0-0-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
  libusb-1.0-0-dev
0 upgraded, 1 newly installed, 0 to remove and 9 not upgraded.
Need to get 184 kB of archives.
After this operation, 962 kB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
  libusb-1.0-0-dev
Install these packages without verification [y/N]? y
Err http://mirrordirector.raspbian.org/raspbian/ wheezy/main libusb-1.0-0-dev armhf 2:1.0.11-1
  Something wicked happened resolving 'mirrordirector.raspbian.org:http' (-5 - No address associated with hostname)
Failed to fetch http://mirrordirector.raspbian.org/raspbian/pool/main/libu/libusbx/libusb-1.0-0-dev_1.0.11-1_armhf.deb  Something wicked happened resolving 'mirrordirector.raspbian.org:http' (-5 - No address associated with hostname)
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

Я даже попытался запустить с --fix-missing, но дает ту же ошибку. Кто-нибудь сталкивался с этой проблемой или какие-либо предложения по установке libusb.

3 голоса | спросил Giri 9 thEurope/Moscowp30Europe/Moscow09bEurope/MoscowWed, 09 Sep 2015 18:05:33 +0300 2015, 18:05:33

1 ответ


-1

Загрузите пакет libusb debian для armhf из здесь а также на малине pi установите этот пакет:

dpkg -I deb_package_name

Проверьте правильность установки или нет. /usr/lib/include/libusb-1.0

Это сработало для меня.

ответил Chandan Kumar 13 thEurope/Moscowp30Europe/Moscow09bEurope/MoscowWed, 13 Sep 2017 15:31:00 +0300 2017, 15:31:00

Похожие вопросы

Популярные теги

security × 330linux × 316macos × 2827 × 268performance × 244command-line × 241sql-server × 235joomla-3.x × 222java × 189c++ × 186windows × 180cisco × 168bash × 158c# × 142gmail × 139arduino-uno × 139javascript × 134ssh × 133seo × 132mysql × 132